apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: vaultwarden-ingress
  namespace: vaultwarden
spec:
  tls:
  - hosts:
    - reymota.ddns.net
    secretName: mi-tls-secret
  rules:
  - host: "reymota.ddns.net"
    http:
      paths:
        - pathType: Prefix
          path: "/"
          backend:
            service:
              name: vaultwarden
              port:
                number: 80
